/*
 * This file is part of musicd.
 * Copyright (C) 2011 Konsta Kokkinen <kray@tsundere.fi>
 * 
 * Musicd is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Musicd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Musicd.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef MUSICD_DB_H
#define MUSICD_DB_H

#include <stdint.h>
#include <sqlite3.h>

int db_open(const char *file);
void db_close();

const char *db_error();

sqlite3 *db_handle();

void db_simple_exec(const char *sql, int *error);

int db_meta_get_int(const char *key);
void db_meta_set_int(const char *key, int value);

#endif
